// TodoItem.tsx
import React from 'react';
import { TodoData } from './TodoData';

// Propsインタフェース
interface TodoItemPropsInterface {
  todoData: TodoData;
}

// Stateインタフェース
interface TodoItemStateInterface {
}

class TodoItem extends React.Component<TodoItemPropsInterface, TodoItemStateInterface> {
  // 描画
  render() {
    return (
      <tr>
        <td>{this.props.todoData.title}</td>
        <td>{this.props.todoData.content}</td>
        <td>{this.props.todoData.date}</td>
        <td>{this.props.todoData.time}</td>
        <td><button>編集</button></td>
        <td><button>削除</button></td>
      </tr>
    );
  }
}

export default TodoItem;
